Description

In the case that a user with a fact_filter tries to index the hosts, the operation will fail unless there is an eager load of fact_values.

Eager loading fact_values is slow.

Associated revisions

Revision 02acc2ec - 11/11/2010 08:50 AM - Ohad Levy

Fixes #443 - remove unnecassary fact_values loading

This fix does not explain why you need to include :fact_values to

avoid an SQL error. However this includes the fact_values when you do

really need them and does not when you don't

Refactored show_hosts and index

Added a test for json + fact filter

Updated default access permsssions to add support for show_hosts functions

History

#1 - 11/09/2010 01:32 PM - Ohad Levy

- Target version set to 0.1-6

#2 - 11/09/2010 04:29 PM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to bug/443-fact_values-loading

rebased and tested

#3 - 11/10/2010 02:22 PM - Paul Kelly

Refactored show_hosts and index

Added test for json for a user with a fact filter.

Added some missing default_access permissions

Rebased and tested

#4 - 11/11/2010 08:53 AM - Ohad Levy

- % Done changed from 0 to 100

Applied in changeset 02acc2ecef35ea600fc1ae6d80d71009f1472df5.

#5 - 11/11/2010 08:53 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
